@base <https://purl.org/coscine/ap/I11_Deep_Learning_Models/>.

@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#>.
@prefix xsd: <http://www.w3.org/2001/XMLSchema#>.
@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix sh: <http://www.w3.org/ns/shacl#>.
@prefix vocabterms: <https://purl.org/coscine/terms/>.
@prefix aps: <https://purl.org/coscine/ap/>.

_:autos7 rdf:first "CNN";
         rdf:rest _:autos8.
_:autos8 rdf:first "ViT";
         rdf:rest rdf:nil.
<https://purl.org/coscine/ap/I11_Deep_Learning_Models/> dcterms:created "2023-12-14"^^xsd:date;
                                                                    dcterms:creator "Simon Fonck";
                                                                    dcterms:description "Profil für die Speicherung von Deep Learning Modellen"@de,
                                                                                        "Profile for the storage of Deep Learning Models"@en;
                                                                    dcterms:license <http://spdx.org/licenses/MIT>;
                                                                    dcterms:subject <https://github.com/tibonto/dfgfo/409>;
                                                                    dcterms:title "I11 - Deep Learning Modelle"@de,
                                                                                  "I11 - Deep Learning Models"@en;
                                                                    a rdfs:Class,
                                                                      sh:NodeShape;
                                                                    sh:closed false;
                                                                    sh:property [sh:datatype xsd:string ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:name "Name"@de ; 
                                                                                 sh:name "Name"@en ; 
                                                                                 sh:order 1  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/7386efeb-6475-42ed-b2d5-4a87cf496e3d/> ; 
                                                                                 sh:description "Name des Modells (Bitte eine eindeutige Bezeichnung beachten)"@de ; 
                                                                                 sh:description "Name of the model (Please note a unique description)"@en ; 
                                                                                 sh:message "Bitte Modellnamen eintragen"@de ; 
                                                                                 sh:message "Please enter model name"@en ; 
                                                                                 sh:severity sh:Violation],
                                                                                [sh:datatype xsd:string ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:name "Training Data"@en ; 
                                                                                 sh:name "Trainingsdaten"@de ; 
                                                                                 sh:order 2  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/49f8e604-c8a0-4027-9805-a54554e6cdb4/> ; 
                                                                                 sh:description "Bitte geben Sie den Namen der Trainingsdaten, welche für die Entwicklung des Modells genutzt wurden. Falls möglich mit Verlinkung."@de ; 
                                                                                 sh:description "Please enter the name of the training data used to develop the model. If possible with a link."@en ; 
                                                                                 sh:message "Bitte tragen Sie die Trainingsdaten ein."@de ; 
                                                                                 sh:message "Please enter the training data."@en ; 
                                                                                 sh:severity sh:Warning],
                                                                                [sh:datatype xsd:string ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:name "Architecture"@en ; 
                                                                                 sh:name "Architektur"@de ; 
                                                                                 sh:order 4  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/3dc7168f-6bf1-4c33-a22c-f6900057ba09/> ; 
                                                                                 sh:description "Architektur, welche für das Modell genutzt wurde."@de ; 
                                                                                 sh:description "Architecture, which was used for the model."@en ; 
                                                                                 sh:message "Modellarchitektur fehlt."@de ; 
                                                                                 sh:message "Model architecture is missing."@en ; 
                                                                                 sh:severity sh:Info],
                                                                                [sh:datatype xsd:string ; 
                                                                                 sh:name "Creator"@en ; 
                                                                                 sh:name "Ersteller"@de ; 
                                                                                 sh:order 5  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/d1c60e17-6483-41f5-a4dd-dbf3bbef3288/> ; 
                                                                                 sh:description "Wer gilt als Autor für dieses Modell?"@de ; 
                                                                                 sh:description "Who is the author of this model?"@en ; 
                                                                                 sh:message "Autor fehlt."@de ; 
                                                                                 sh:message "Author is missing."@en ; 
                                                                                 sh:severity sh:Info ; 
                                                                                 sh:maxCount 1 ],
                                                                                [sh:datatype xsd:string ; 
                                                                                 sh:name "Classification task"@en ; 
                                                                                 sh:name "Klassifikationsaufgabe"@de ; 
                                                                                 sh:order 6  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/bbf4c558-0e73-42c8-9859-54bceee881b9/> ; 
                                                                                 sh:description "Welche Klassifikationsaufgabe wurde mit diesem Modell gelöst?"@de ; 
                                                                                 sh:description "Which classification task was solved with this model?"@en ; 
                                                                                 sh:message "Klassifikationsaufgabe fehlt."@de ; 
                                                                                 sh:message "Classification task is missing."@en ; 
                                                                                 sh:severity sh:Info ; 
                                                                                 sh:maxCount 1 ],
                                                                                [sh:minCount 1  ; 
                                                                                 sh:name "Model type"@en ; 
                                                                                 sh:name "Modelltyp"@de ; 
                                                                                 sh:order 3  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/24d55b54-4dc8-4608-a1c6-9c741a61d601/> ; 
                                                                                 sh:description "Typ des Modells."@de ; 
                                                                                 sh:description "Type of the model."@en ; 
                                                                                 sh:message "Modelltyp fehlt"@de ; 
                                                                                 sh:message "Model type missing"@en ; 
                                                                                 sh:severity sh:Info ; 
                                                                                 sh:in _:autos7],
                                                                                [sh:datatype xsd:dateTime ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:name "Creation date"@en ; 
                                                                                 sh:name "Erstellungsdatum"@de ; 
                                                                                 sh:order 7  ; 
                                                                                 sh:path <https://purl.org/coscine/terms/53b46df1-232f-4df9-ac9e-5289166bdf9e/> ; 
                                                                                 sh:description "Zu welchem Datum wurde das Modell erstellt?"@de ; 
                                                                                 sh:description "On what date was the model created?"@en ; 
                                                                                 sh:message "Datum fehlt."@de ; 
                                                                                 sh:message "Date is missing."@en ; 
                                                                                 sh:severity sh:Info ; 
                                                                                 sh:maxCount 1 ].
